;	
;	DSTYLES.CPY - Dimension Style Data Structures & Macros
;	

;	Copyright 1994 Evolution Computing
;	All rights reserved
;	Written by Susan Montooth 9/18/94


;	DStyle.Flags word:
DS$RDIN	equ	10h		;force inside arrows on radial dimensions
DS$RDCM	equ	20h		;center mark for radial dimensions

;	DStyle.DTFlags byte:
DT$CEN	equ	00h		;text centered in dimension line
DT$OVR	equ	01h		;text over dimension line/arc
DT$UND	equ	02h		;text under dimension line/arc
DT$ALI	equ	10h		;dimension text aligned



DStyle	struc
RLen	dw	Sizeof(DStyle)	;record length
ID	dw	0		;Dimension style ID
DSName	db	32 dup (0)	;Dimension style name (ASCIIZ)
Flags	dw	DS$RDIN		;general dimension style flags
DTFlags	db	0		;bit 0 1=aligned, 0=horizontal
DTDecP	db	3		;number of decimal places (0 to 9)
DTFont	dw	0		;dimension text font ID
DTPfx	db	40 dup (0)	;dimension text prefix
DTSfx	db	40 dup (0)	;dimension text suffix
DTHgt	REAL4	0.250		;dimension text height
LdrExt	REAL4	0.18		;leader extends beyond dimension line
LdrOfs	REAL4	0.0625		;leader offset from geometry
ALen	REAL4	0.18		;arrowhead size
AHgt	REAL4	0.08
AStyle	dw	0		;arrowhead style
DStyle	ends


;	Convenience macro for defining style in static RAM

DStyleM	MACRO	ID,Flg,TFlg,Nm,DecP,Fnt,Hgt,Ext,Ofs,ALn,AHt,ANr,Pfx,Sfx
	local	NStart,NEnd,PStart,PEnd,SStart,SEnd
	dw	sizeof(DStyle)
	dw	ID
NStart	label	byte
	db	Nm,0
NEnd	label	byte
	db	32-(NEnd-NStart) dup (0)
	dw	Flg
	db	TFlg
	db	DecP
	dw	Fnt
PStart	label	byte
	db	Pfx,0
PEnd	label	byte
	db	40-(PEnd-PStart) dup (0)
SStart	label	byte
	db	Sfx,0
SEnd	label	byte
	db	40-(SEnd-SStart) dup (0)
	REAL4	Hgt
	REAL4	Ext
	REAL4	Ofs
	REAL4	ALn
	REAL4	AHt
	dw	ANr
	ENDM

IB_DSTYLE	equ	10h		;dstyle info block type #

DBHdr		struc
ERLen		dw	DefDBSize
EType		db	0
IType		db	IB_DSTYLE
SegLen		dw	DefDBSize
NextID		dw	DefDCount	;next after predefined styles
DBHdr		ends

