;	===============================================================
;	DSTYLES2.CPY - New Dimension Style Data Structures & Macros
;	===============================================================

;	Copyright 1997 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 6-12-97

;	===============================================================
;	New Dimension Style Structure - included in Dim Entity Records
;	===============================================================

DStyle2		struc
DTFont		dw	0		;dimension text font ID
AStyle		dw	0		;arrowhead style
DFlags		dw	0		;style flags
DTHgt		real4	0.250		;dimension text height
LdrExt		real4	0.18		;leader extends beyond dimension line
LdrOfs		real4	0.0625		;leader offset from geometry
ALen		real4	0.18		;arrowhead length
AHgt		real4	0.08		;arrowhead height
TolP		real4	0.00		;+tolerance
TolM		real4	0.00		;-tolerance
Spacing		real4	0.5		;spacing (unused at present)
DTDecP		db	3		;number of decimal places (0 to 9)
DTFmt		db	0		;prefix stg,0,suffix stg,0
		dd	0,0,0,0,0,0,0,0	;(room for 31 characters max)
DSName		db	0,0,0,0		;Dim Style name (31 chrs max)
		dd	0,0,0,0,0,0,0
DStyle2		ends

;	DFlags word: General drawing control flags

DS2_CEN		equ	00h	;text centered in dimension line
DS2_OVR		equ	01h	;text over dimension line/arc
DS2_UND		equ	02h	;text under dimension line/arc
DS2_LEFT	equ	04h	;text to left of dim line/arc
DS2_RIGHT	equ	08h	;text to right of dim line/arc
;				;code depends on the above exact values
;				;(DStyle2:PosChange)(EDimC2-DoText:)
DS2_TXALN	equ	10h	;1=dimension text aligned/0=always horiz
DS2_ARWIN	equ	20h	;force inside arrows (DimC only)
DS2_TOL		equ	40h	;specify tolerancing
DS2_ACAD	equ	80h	;dim source = AutoCAD
DS2_RDCM	equ	100h	;center mark
DS2_RDCL	equ	200h	;center lines
DS2_SCALE	equ	400h	;scale dim value by DStyle2.Spacing value
DS2_TXONLY	equ	800h	;prefix/suffix text only - no dimvalue

;	Shared DFlags bit values valid for linear dimensions only:

DS2_PRL		equ	1000h	;parallel dimension

;	Shared DFlags bit values valid for linear dimensions only:

DS2_L1		equ	1000h	;has starting leader
DS2_L2		equ	2000h	;has ending leader

;	Shared DFlags bit values valid for circular dimensions only:

DS2_DIA		equ	4000h	;diameter (else radius)
DS2_LDR		equ	8000h	;dimension has a leader

;	Shared DFlags bit values valid for ordinate dimensions only:

DS2_VBase	equ	0000h	;vertical baseline
DS2_HBase	equ	1000h	;horizontal baseline
DS2_NDelta	equ	2000h	;negative At-Org delta
DS2_ODShift	equ	12	;shift to put hbase/vbase/ndelta
;				;at bits 1 & 2

;	===============================================================
;	DSTYIB2: New Dimension Styles Information block header
;	===============================================================

CurDSTYIBVer2	equ	5		;current version #
;					;ver 5 added CurDSNr to ver 4

DSTYIB2		struc
ERLen		dword	SIZEOF (DSTYIB2)	;std info block header
EType		byte	ET_IB			;EType = Info Block
IType		byte	IB_DSTYLE		;IB type = Dimension Styles
Creator		word	0			;XPID (0=core)
AllocLen	dword	0			;allocation length (0=ERLen)
;
IBVer		word	CurDSTYIBVer2		;DSTYIB version id
CurDSNr		word	0			;current DStyle #
;
CurDS		DStyle2	<>			;Current DStyle settings
DSTYIB2		ends

