;	===============================================================
;	FORMST.CPY - Format string equates, structures, and macros
;	===============================================================
;	Copyright 1995 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-26-95
;	---------------------------------------------------------------
;
FT_Ptr	equ	80h		;var contains dword pointer to data or rsc id
;;;FT_Ent	equ	40h	;var is offset in current entity
;;;				; ***** not valid in FCW-32 *****
FT_EBX	equ	20h		;var is offset from EBX on entry to FORMST
;
;	if above bits not set, var is actual data or resource id
;
FT_MASK	equ	0000001Fh	;ask for data type code only

FT_Stg		equ	0		;ASCIIZ string
FT_UDec1	equ	1		;unsigned byte
FT_UDec2	equ	2		;unsigned word
FT_UDec4	equ	3		;unsigned dword
FT_Dec2		equ	4		;signed word
FT_Dec4		equ	5		;signed dword
FT_Hex1		equ	6		;hex byte
FT_Hex2		equ	7		;hex word
FT_Hex4		equ	8		;hex dword
FT_Real4	equ	9		;dword real
FT_Real8	equ	10		;qword real
FT_2dC4		equ	11		;2d dword X,Y dword coordinate
FT_2dC8		equ	12		;2d dword X,Y qword coordinate
FT_3dC4		equ	13		;3d dword X,Y,Z dword coordinate
FT_3dC8		equ	14		;3d dword X,Y,Z qword coordinate
FT_Dist4	equ	15		;dword real distance
FT_Dist8	equ	16		;qword real distance
FT_Brng		equ	17		;dword real bearing angle
FT_AngW		equ	18		;dword real angle width
FT_Area4	equ	19		;dword real area
FT_Area8	equ	20		;qword real area
;
ItemFmt		STRUC
vadr		dword	0		;var adrs/RSCID
tcode		sbyte	0		;type code
jcode		sbyte	0		;justification code
fwid		sbyte	0		;field width
ndecp		sbyte	FDP_User	;# decimal places
;				;FDP_User = use current dec. pl. setting
ItemFmt		ENDS

FJ_Var		equ	0	;variable width field
FJ_Left		equ	1	;left justified
FJ_Cen		equ	2	;center justified
FJ_Right	equ	4	;right justified

FDP_User	equ	0FFh	;current user-sel # dec place
FDP_Dim		equ	0FEh	;# dec pl by SetDimDecP

;	standard destinations

FD_Prompt	equ	1	;prompt bar
FD_TxWin	equ	2	;current text window
FD_MsgBox	equ	3	;Message Box (generic, no icons)
FD_InfoBox	equ	4	;Info icon message box
FD_WarnBox	equ	5	;Warning (! icon) message box
FD_ErrorBox	equ	6	;Critical error message box
FD_QuestBox	equ	7	;Question (yes/no) message box
FD_CancelBox	equ	8	;Yes/No/Cancel message box
FD_RetryBox	equ	9	;Retry/Cancel message box
FD_DlgTitle	equ	10	;Dialog Box Init: Dlg Box Title
FD_Status	equ	11	;startus bar (tracking) message
FD_MaxStd	equ	11	;for comparison to resource ids
