;	===============================================================
;	IBMGR.CPY - Information Block Structures
;	===============================================================
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Susan Montooth 2/96

;	Automatically included with global.cpy

;	Information blocks store drawing-specific settings.
;	They are stored with the drawing on disk, but separately 
;	in memory (each in its own global memory block). 


BETATEST	equ		0	;1=doing beta test

;	===============================================================
;	Header Structure for all information blocks
;	===============================================================

ET_IB		equ	0

IBHDR		struc
ERLen		dword	sizeof(IBHDR)	;actual length (bytes in use)
EType		byte	ET_IB		;entity type code (always 0)
IType		byte	0		;info block type
;					;80h=no writeback (dflt unchgd)
Creator		word	0		;XPID (0=core)
AllocLen	dword	sizeof(IBHDR)	;allocation length
;					;(0=use ERLen for allocation)
IBHDR		ends

;	===============================================================
;	info block types in use by core
;	===============================================================

IB_DFLT		equ	080h		;no writeback flag

IB_HDR		equ	000h		;defined in header.cpy
IB_STYLE	equ	001h		;styles.cpy (deleted)
IB_SVIEW	equ	002h		;svib.cpy
IB_LAYER	equ	003h		;layers.cpy
IB_GRID		equ	004h		;grids.cpy
IB_PRINT	equ	005h		;print.cpy (printer settings)

IB_LSTYLE	equ	006h		;lstyles.cpy
IB_FSTYLE	equ	007h		;fstyles.cpy
IB_NVIEW	equ	008h		;nviews.cpy

IB_LWCMAP	equ	009h		;color map data
IB_GPS		equ	00Ah		;GPS Data

IB_DSTYLE	equ	010h		;dstyles.cpy
IB_FONT		equ	011h		;fonts.cpy

IB_Max		equ	020h		;maximum # of IBlks

;	===============================================================
;	IBlkSVC Function Codes (in EBX)
;	===============================================================

IBS_REORG	equ	0		;change dwg origin
;					; ESI-> X,Y,Z GPnt3 struc
IBS_UNITSCHG	equ	1		;change dwg UNITS
;					; ESI-> REAL4 Scale Difference
IBS_INIT	equ	2		;init IBlk on dwg load
IBS_SELCUR	equ	3		;select new current IBAdr
IBS_UPDSAVE	equ	4		;prep for dwg save

;	********* following will be implemented in the future

IBS_FINDNAME	equ	5		;find entry by ESI name
;					; ESI -> entry, 0 = not found
IBS_FINDID	equ	6		;find entry by ID EDX
;					; ESI -> entry, 0 = not found
IBS_MERGE	equ	7		;merge id EDX of IB at ESI
;					; for current IB. EDX = new ID
IBS_ADD		equ	8		;Add entry recd at ESI
IBS_DEL		equ	9		;Delete entry ID EDX

IBS_ALL		equ	-1		;(in EAX) SVC all IBlks

