;	===============================================================
;	LAYERS.CPY - Layers InfoBlock Structure
;	===============================================================

;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Michael Riddle

;	===============================================================

MAXLNAME	equ	31		;max # chars in a layer name

CurLyrIBVer	equ	1		;current version #

;	The Layer Infoblock is:

;		The LYRIB structure
;		followed by 1 or more LAYER records
;		followed by a dword NULL end of list marker

LYRIB		struc
ERLen		dword	SIZEOF (LYRIB)	;std info block header
EType		byte	ET_IB		;EType = Info Block
IType		byte	IB_LAYER	;IB type = Layers
Creator		word	0		;XPID (0=core)
AllocLen	dword	0		;allocation length (0=ERLen)
;
IBVer		word	CurLyrIBVer	;LyrIB version id
NextID		word	2		;next ID to use
;
LYRIB		ends

;	Each layer has the following information:

LAYER		struc
RLen		dword	sizeof(LAYER)
ID		word	0		;layer ID word
flags		dw	0		;layer status flags
LSID		dw	-1		;ID of LStyle for BYLAYER
LName		db	0		;ANSIZ layer name (var length)
LAYER		ends

LAYER0		struc
RLen		dword	sizeof(LAYER0)
ID		word	0		;layer ID word
flags		dw	0		;layer status flags
ParentID	dw	-1		;-1 = leaf, else ID of parent layer
LName		db	"MERGE",0	;ANSIZ layer name
LAYER0		ends

;	the values for LAYER.flags are:

LF_Hide		equ	1		;hide layer flag
LF_Freeze	equ	2		;freeze layer flag
LF_Used		equ	80h		;layer is in use

LF_XP		equ	0F000h		;available for XP use
;					;no multiple XP use
;					;conflict resolution
;					;is available

;	Macro for defaults

LYR		macro	id,lnam
		local	eos
		dword	eos+1-$
		word	id
		word	0
		word	-1
		db	lnam
eos		db	0
		endm
