;	===============================================================
;	LSTYLES.CPY - Line Style Structures
;	===============================================================

;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-23-96

;	===============================================================
;	LS: struc to define one line style
;	===============================================================

;	flags bit values:

LS_S1V		equ	1		;segment 1 draws
;					;code depends on LS_S1V being 1
LS_ENDS		equ	4		;scale to fit ends
LS_PAPER	equ	8		;paper scale (else dwg units)

LS		struc
RLen		dword	sizeof(LS)	;size of structure
id		word	0		;LSTY id #
SWid		real4	0.0		;(style line width - obsolete)
SLen		real4	1.0		;style real length
NSegs		word	1		;current # style segments
flags		word	LS_S1V+LS_ENDS+LS_PAPER	;options bits
lsname		db	32 dup (0)	;lstyle name
LS		ends

LS_S		equ	sizeof(LS)	;overhead size in bytes

;	The LS structure is immediately followed by a list of real4
;	segment lengths (units are fraction of 1.0 = SLen T parameters)

;	===============================================================
;	LSTYIB: Line Styles Information block header
;	===============================================================

;	CurHdr.LStyle = the currently selected style ID
;	It determines the currently selected line style

CurLSTYIBVer	equ	1		;current version #

LSTYIB		struc
ERLen		dword	SIZEOF (LSTYIB)	;std info block header
EType		byte	ET_IB		;EType = Info Block
IType		byte	IB_LSTYLE	;IB type = Line Styles
Creator		word	0		;XPID (0=core)
AllocLen	dword	0		;allocation length (0=ERLen)
;
IBVer		word	CurLSTYIBVer	;LSTYIB version id
NextID		word	256		;next ID to use
;
NrLStyles	word	6		;current # defined styles
;
LSSolid		LS	<LS_S,0,,,0,,"Solid">
		dword	0		;endmark
LSTYIB		ends

