;	===============================================================
;	RDATA.CPY - Get Data Structure definitions
;	===============================================================
;	Copyright 1995 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 5-15-95
;	---------------------------------------------------------------

;	Data request structure for caller's use
;	Changes to RDATA must also be posted to RDATA$

RDATA		STRUC
len		dword	SIZEOF(RDATA)	;required for RListXXX routines
dtype		byte	0		;RD_xxx data type
RBProc		dword	0		;Right Button Procedure
flags		dword	0		;RDF_xxx flags
dadr		dword	0		;data store address (0=don't)
prmp		dword	0		;prompt text FormSt packet adrs
CsrProc		dword	0		;cursor id/procedure to use
RcvProc		dword	0		;proc to call when data rdy
;					;it gets:
;					; EAX = X_OK if data ok
;					; EAX = X_DFLT if data default
;					; EAX = X_CAN if data cancel
;					; EAX = X_BAD if data bad
;					; EAX = X_ONE if only 1 val of 2 or 3
;					;  (must set RDF_1OK to get this)
XDta		dword	0		;extra data*
CtxtProc	dword	0		;context [F2] procedure
;					;0 = use prior context
HelpNum		dword	0		;Help subject/context id
;					;0 = main help screen
HelpFile	dword	0		;adrs/rscid of help file name
;					;0 = std FCW32.HLP help file
keysink		dword	0		;adrs of keysink structure to use
;					;0 = prompt line
RDATA		ENDS

;*Extra data depending on request type:
;	RD_Pick1/Ref	optional callback procedure to validate 
;			entity at esi (set carry if OK)

;	dtype: Data type requests

RD_2DC		equ	0	;2d coordinate
RD_Real4	equ	1	;real value
RD_TxWord	equ	2	;text string (line if RDF_SPACEOK)
RD_Pick		equ	3	;std entity selection (no return data)
RD_Pick1	equ	4	;single entity esi->entity, edi->pk point
;				; entity can NOT be on frozen layer
RD_Win		equ	5	;2 -2d coord, lower left pt,
;				;   then upper right (like GLine2)
;				;   points have been sorted.
RD_Disp		equ	6	;Real distance displacement
;				;returns DeltaX,DeltaY 2d cordinate
RD_Int2		equ	7	;signed word number
RD_Int4		equ	8	;signed dword number
RD_Dist		equ	9	;real drawing distance REAL4 value
RD_Brng		equ	10	;bearing angle in radians, 0 right, ccw+
RD_AngW		equ	11	;Angle width in radians, ccw+
RD_Scale	equ	12	;real4 scale factor
RD_PickRef	equ	13	;single entity esi->entity, edi->pk point
;				; entity can be on frozen layer
RD_Color	equ	14	;dword color number (0..255)
RD_Layer	equ	15	;dword layer ID #
RD_LStyle	equ	16	;dword line style id #
RD_FStyle	equ	21	;dword fill style id #
RD_Win2		equ	22	;2nd point of RD_Win (1st provided)
RD_PickI	equ	23	;RD_Pick, but R/O is ok
;
RD_3dC		equ	30	;3d coordinate
RD_Disp3	equ	31	;3d distance displacement
;				;returns DeltaX, DeltaY, DeltaZ coordinate
RD_Win3		equ	32	;3d window, lowest X,Y,Z the highest X,Y,Z
RD_Dist3	equ	33	;real drawing distance REAL4 value
RD_Win23	equ	34	;3d window, start at 2nd point

;	Following are for systems window mgmt only:

RD_DWinC	equ	19	;main screen window placement
RD_DWinID	equ	20	;select window id #

;	CsrProc: Standard Cursors

RDC_NONE	equ	0		;no visible csr
RDC_ARROW	equ	1		;arrow
RDC_WAIT	equ	2		;hourglass
RDC_XH		equ	3		;real 2d crosshairs
RDC_RBAND	equ	4		;real 2d rubberband
RDC_WIN		equ	5		;real window cursor
RDC_PICK	equ	6		;entity select cursor
RDC_XHOPT	equ	7		;crosshairs IF required
RDC_FINGER	equ	8		;finger cursor
RDC_ARWPK	equ	9		;arrow or pick box if mod
;
RDC_XH3		equ	10		;real 3d crosshairs
RDC_RBAND3	equ	11		;real 3d rubberband
RDC_DEPTH3	equ	12		;real 3d depth mode cursor
RDC_WIN3	equ	13		;real 3d win, mouse win proj
RDC_AWIN3	equ	14		;real 3d win, active win proj
;
RDC_MIN3	equ	RDC_XH3		;minimum 3d cursor
RDC_MAX3	equ	RDC_WIN3	;maximum 3d cursor
;
RDC_DW_XH	equ	00008000h	;dwin crosshairs
RDC_DW_GROW	equ	00008001h	;dwin rectangle
RDC_DW_MOVE	equ	00008002h	;dwin move rectangle
RDC_DW_MAIN	equ	00008000h	;use main window flag
RDC_MAXALSO	equ	RDC_ARWPK	;dyncsr maximum also value

;	flags:

RDF_NONE	equ	0		;no flags
RDF_NOVARX	equ	0010h		;no variable expansion
;		equ	0020h		;reserved (FT_EBX)
;		equ	0040h		;reserved (FT_Ent)
;		equ	0080h		;reserved (FT_Ptr)
RDF_NOLOCK	equ	0100h		;snap/ortho prohibited
;					;(RDF_NOLOCK overrides RDF_ORTHO)
RDF_ORTHO	equ	0200h		;ortho lock allowed
RDF_ALOCK	equ	0400h		;angle-lock desired
RDF_SPACEOK	equ	0800h		;spaces are data, not delim
RDF_LIVE	equ	1000h		;live-input until DAV
RDF_LIVEDLY	equ	2000h		;postpone live until end of script
RDF_1OK		equ	4000h		;ok to return just 1 real
RDF_RBPROP	equ	8000h		;RT btn = win properties
RDF_SAMEX	equ	10000h		;use prior X
RDF_SAMEY	equ	20000h		;use prior Y
RDF_SAMEZ	equ	40000h		;use prior Z
RDF_FRZOK	equ	80000h		;read only - frozen ok
RDF_NOORTHO	equ	100000h		;no ortho but snap ok
RDF_NOATCH	equ	200000h		;no attach allowed
RDF_KEEPSC	equ	400000h		;if script data, ; not change to CR
RDF_ATCHCSR	equ	800000h		;add pick box to cursor (mod attach)
RDF_MUSTORTHO	equ	1000000h	;force ortho on for this point
RDF_C		equ	2000000h	;callbacks are C functions
RDF_HexOk	equ	4000000h	;hex input ok, no expressions
RDF_PreSel	equ	8000000h	;preselecting enabled
RDF_AWIN	equ	10000000h	;dig rel to AWIN, not DLIST
RDF_NODEPTH	equ	20000000h	;3d dig no depth mode 2nd dig
RDF_CC		equ	40000000h	;DynCsr only is C callback
;					;(used for modifier support)

;	Data valid codes sent to RcvProc in EAX

X_OK		equ	0		;EAX = 0 if data ok
X_DFLT		equ	1		;EAX = 1 if data default
X_CAN		equ	2		;EAX = 2 if data cancel
X_BAD		equ	3		;EAX = 3 if data bad
X_ONE		equ	4		;EAX = 4 if only 1 val of 2 or 3
;					;   must set RDF_1OK to get this

;	----------------------------------------------------------------
;	RDATA$ extended structure for internal use by RData modules
;	----------------------------------------------------------------

RDATA$		STRUC
len		dword	SIZEOF(RDATA$)	;required for RListXXX routines
dtype		byte	0		;RD_xxx data type
RBProc		dword	0		;Right Button Procedure
flags		dword	0		;RDF_xxx flags
dadr		dword	0		;data store address (0=don't)
prmp		dword	0		;prompt text FormSt packet adrs
CsrProc		dword	0		;cursor id/procedure to use
RcvProc		dword	0		;proc to call when data rdy
XDta		dword	0		;extra data*
CtxtProc	dword	0		;context [F2] procedure
HelpNum		dword	0		;Help subject/context id
HelpFile	dword	0		;adrs/rscid of help file name
keysink		dword	0		;adrs of keysink structure to use
;------------------------
BPtr		dword	0		;base pointer for FT_EBX addressing
PX		REAL4	0.0		;storage for 2-pass request types
PY		REAL4	0.0
PZ		REAL4	0.0
VX		REAL4	0.0		;2nd point for vector storage
VY		REAL4	0.0
VZ		REAL4	0.0
DpthX		REAL4	0.0		;1st pt for depth mode storage
DpthY		REAL4	0.0
DpthZ		REAL4	0.0
nDepth		byte	0		;depth mode counter
nPass		byte	0		;pass counter
flags$		dword	0		;RDF_xxx flags
RDATA$		ENDS

EA_2dC		equ	0		;2d result
EA_3dC		equ	1		;3d result EAttach result code

RDL_NONE	equ	0		;until removed from all code

;	---------------------------------------------------------------
;	DPak Structure and equates for DYNTRAK (by Ken Hill)
;	---------------------------------------------------------------

DPak		STRUC
CsrX		REAL4	0.0		;current cursor position
CsrY		REAL4	0.0
CsrZ		real4	0.0
X		REAL4	0.0		;Object origin
Y		REAL4	0.0
Z		real4	0.0
LastX		REAL4	0.0		;Last cursor position
LastY		REAL4	0.0
LastZ		real4	0.0
RotXY		REAL4	0.0		;Object rotation
RotYZ		real4	0.0
RotZX		real4	0.0
AngW		REAL4	0.0		;Angle width
Dist		REAL4	0.0		;Object height/dist
ScaleX		real4	0.0		;object scale
ScaleY		real4	0.0
ScaleZ		real4	0.0
ScrX		dword	0		;screen pixel coordinates
ScrY		dword	0
DynFlag 	db	0		;Flags
PendRotF	db	0		;pending rotation flag
AllowOp 	db	0		;Allowed operations
DynDflt 	db	0		;Default operation
DPak		ENDS

DN$Hgt		equ	1		;Get height when control key down
DN$Rot		equ	2		;Get rotation when ctrl-shift key down
DN$Drag 	equ	4		;Get position when shift key down
DN$Dist 	equ	8		;Get distance when control key down
DN$AngW 	equ	16		;Get angle width
DN$Scale	equ	32		;Get scale factor
DN$Frst 	equ	128		;flag first dynamic cursor call

;	Selection popup menu values:

IDM_ES_LOW	equ	6000
IDM_ES_HI	equ	6020

IDM_ES_RDY	equ	6000
IDM_ES_CANCEL	equ	6001
IDM_ES_ALL	equ	6002
IDM_ES_PRIOR	equ	6003
IDM_ES_COLOR	equ	6004
IDM_ES_LAYER	equ	6005
IDM_ES_LSTYLE	equ	6006
IDM_ES_FSTYLE	equ	6007
IDM_ES_ETYPE	equ	6008
IDM_ES_FONT	equ	6009
IDM_ES_AND	equ	6010
IDM_ES_OR	equ	6011
IDM_ES_NOT	equ	6012
IDM_ES_CONTINUE	equ	6013
IDM_ES_TAG	equ	6014
IDM_ES_WIN	equ	6015

;	DynPan popup menu values:

IDM_DYN_LOW	equ	6021
IDM_DYN_HI	equ	6030

IDM_DYN_CANCEL	equ	6021
IDM_DYN_SENSE	equ	6022
IDM_DYN_FINISH	equ	6023
IDM_DYN_CONTINUE equ	6024
IDM_DYN_SENSEUP	equ	6025
IDM_DYN_SENSEDN	equ	6026
IDM_DYN_SETTINGS equ	6027
IDM_DYN_3DORBIT	equ	6028
IDM_DYN_3DCENTER equ	6029
