//////////////////// XP.H - Master FastCAD-32 XP include file ////////////
//
//	Written by Mike Riddle 5-24-98
//	(C)1998 Evolution Computing
//	All rights reserved
//
//////////////////////////////////////////////////////////////////////////

#ifndef _XP_H_
#define _XP_H_

#pragma warning(disable: 4200)

#pragma pack(push,1)	// no packing for alignment
#pragma pack(1)

#define UCHAR unsigned char

#define XPCALL _stdcall

typedef void (_stdcall *PCMDPROC)(void);

typedef struct 
{
	DWORD	selfid;					// location of copy of self stored here
	char	*CmdList;				// adrs of CList list of strings
	PCMDPROC *ProcList;		// adrs of PList list of functions
	DWORD	RscTbl;					// address of our resource index table
	PCMDPROC MsgProc;			// address of our XP message procedure
	PCMDPROC ESVCProc;		// address of our XP ent SVC procedure
	DWORD	XPIDNr;					// our modules' XP ID #
	HINSTANCE ModHdl;			// our modules' LoadResource handle
	DWORD	ReqVersion;			// minimum required FCW version to run (ie, 500)
	DWORD	ReqFlags;				// Requirement flags
	DWORD	RunningVer;			// Now running on FCW Version (500t)
	DWORD	XPVersion;			// XP Version #
	HWND  hMainWin;				// main prog window handle
	DWORD MainPrgRscMod;	// main prog resource module hdl
	HINSTANCE hMainInst;			// main program instance handle
	DWORD	Reserved [5];		// Reserved for future use
}XP;

extern "C"
{
#include <_FORMST.H>
#include <_RDATA.H>
#include <_GEOMTRY.H>
#include <_ESTRUC.H>
#include <_DLMGR.H>
#include <_ENTOPS.H>
#include <_MATH.H>
#include <_MATDEF.H>
#include <_DIALOG.H>
#include <_LAYER.H>
#include <_XPMSG.H>
#include <_HEADER.H>
#include <_IBMGR.H>
#include <_SVIB.H>
#include <_FONTS.H>
#include <_LSTYLES.H>
#include <_FSTYLES.H>
#include <_PACKETS.H>
#include <_RSCID.H>
#include <_MISC.H>
#include <_INTS.H>
#include <_GRIDS.H>
#include <_TXWIN.H>
}

/////////////////////// function prototypes ////////////////////////////////

extern "C"
{
	void _stdcall _XPRegCmd(void *xpdef);
	void _stdcall _XPUnregCmd(void *xpdef);
	bool _stdcall _XPRegImport(void *xproc,char *xdesc, char *xtype);
	bool _stdcall _XPRegExport(void *xproc,char *xdesc, char *xtype);
	void _stdcall CmdEnd();
	void _stdcall RegXPSvc(int nsvc,void* psvc);
	void* _stdcall GetXPSvc(int nsvc);
	void _stdcall XPRegEntSvc(DWORD xpid, DWORD ppSvcTbl);
	void _stdcall XPRegisterHelpSvc(void *hsvc);
	XTNT3* _stdcall _CalcExtents(void);
	void _stdcall RedrawDW(void);
	void _stdcall FullFileName(void);
	void _stdcall FindFNTyp(void);
	char* _stdcall FindFileName(void);
	char* _stdcall GetCurDwgFullName(void);
	char* _stdcall GetCurDwgFileName(void);
	char* _stdcall GetSHXPath(void);
	char* _stdcall GetCurDwgPathName(char* pDest);
	void _stdcall SwitchDwg(char* pDwgFileName);
	void _stdcall _SetMarkerCheck(int id,int ofst,int state);

	void _stdcall SetInputLock(bool fLocked);
	void _stdcall _ExecScriptCopy(char* pScript);
	void _stdcall _ExecScriptFile(char* pScript);
	void _stdcall RestoreFocus(void);
	void _stdcall CvtPt2(float x,float y,POINT* ppt);
}

#pragma pack(pop)	// restore prior packing alignment
#endif