// 	===============================================================
// 	IBMGR.CPY - Information Block Structures
// 	===============================================================
// 	Copyright 1996 Evolution Computing
// 	All rights reserved
// 	Written by Susan Montooth 2/96

// 	Automatically included with global.cpy

// 	Information blocks store drawing-specific settings.
// 	They are stored with the drawing on disk, but separately
// 	in memory (each in its own global memory block).

#ifndef _IBMGR_H_
#define _IBMGR_H_

// 	===============================================================
// 	Header Structure for all information blocks
// 	===============================================================

#define ET_IB			0

typedef struct
{
	int  ERLen;			// actual length (bytes in use)     = 	sizeof(IBHDR)
	char EType;			// entity type code (always 0) 	   	=  	ET_IB
	char IType;			// info block type
									// 80h=no writeback (dflt unchgd)
	short Creator;	// XPID (0=core)
	int AllocLen;		// allocation length                =   sizeof(IBHDR)
									// (0=use ERLen for allocation)
}IBHDR;

// 	===============================================================
// 	info block types in use by core
// 	===============================================================

#define IB_DFLT			0x080		// no writeback flag

#define IB_HDR			0x00		// defined in header.cpy
#define IB_STYLE		0x01		// styles.cpy (deleted)
#define IB_SVIEW		0x02		// svib.cpy
#define IB_LAYER		0x03		// layers.cpy
#define IB_GRID			0x04		// grids.cpy
#define IB_PRINT		0x05		// print.cpy (printer settings)

#define IB_LSTYLE		0x06		// lstyles.cpy
#define IB_FSTYLE		0x07		// fstyles.cpy
#define IB_NVIEW		0x08		// nviews.cpy
#define IB_LWCMAP		0x09		//
#define	IB_GPS			0x0A		// in IBGPS.ASM
#define IB_DSTYLE		0x10		// dstyles.cpy
#define IB_FONT			0x11		// fonts.cpy

#define IB_Max			0x20		// maximum # of IBlks

// 	===============================================================
//	IBlk Functions
// 	===============================================================

#define RegIBlk _RegIBlk
char _stdcall RegIBlk(int IBlk, void *Adr);
#define GetIBlk _GetIBlk
void * _stdcall GetIBlk(int IBlk);
#define SizeIBlk _SizeIBlk
char _stdcall SizeIBlk(int IBlk, int NewSize);
#define DelIBlk _DelIBlk
char _stdcall DelIBlk(int IBlk);
#define ReadIBlk _ReadIBlk
char _stdcall ReadIBlk(char *Address);
#define RestoreIBlk _RestoreIBlk
char _stdcall RestoreIBlk(char *Address);

#define GetHeaderAdr _GetHeaderAdr
HDR * _stdcall GetHeaderAdr(void);

#endif