// 	===============================================================
// 	_RSCID.H - Resource ID equates for use as RscAdr parameters.
// 	===============================================================
// 	Copyright 1995-1997 Evolution Computing
// 	All rights reserved
// 	===============================================================

#ifndef _RSCID_H_
#define _RSCID_H_

#define XPRscID			0x60000		// XP module local resource IDs

// 	===============================================================
// 	RSCCMD.ASM resources
// 	===============================================================

#define RSC_LangChrs			1	// language special chrs
#define RSC_CmdTable			2	// command names table
#define RSC_NCmdTable			3	// nestable command table
#define RSC_ModTable			4	// modifiers table
#define RSC_PfxTable			5	// prefix modifiers table
#define RSC_LikeMod				6	// LIKE modifier
#define RSC_MacroCmds			7	// MACRO system commands

// 	===============================================================
// 	RSCSUSAN.ASM ID #'s start at 1000t
// 	===============================================================

#define RSC_MaxS			1000	// max resource ID # (calculated)
#define RSC_From			1001	// szFrom
#define RSC_To				1002	// szTo
#define RSC_P1				1003	// szP1
						// 				1004	// (unused)
						// 				1005	// (unused)
#define RSC_Start			1006	// szStart
#define RSC_Next			1007	// szNext
						// 				1008	// (unused)
#define RSC_P1Ent			1009	// szP1Ent
#define RSC_Missing		1010	// szMissing
#define RSC_WinP2			1011	// szWinP2
#define RSC_DistP2		1012	// szDistP2
#define RSC_Disp			1013	// szDisp
#define RSC_Cir2Name	1014	// szCir2Name
#define RSC_Arc2Name	1015	// szArc2Name
#define RSC_Elp2Name	1016	// szElp2Name
#define RSC_ElA2Name	1017	// szElA2Name
#define RSC_Cir2List	1018	// szCir2List
#define RSC_Arc2List	1019	// szArc2List
#define RSC_Elp2List	1020	// szElp2List
#define RSC_ElA2List	1021	// szElA2List
#define RSC_EachPick	1022	// szEachPick
#define RSC_WinPick		1023	// szWinPick
#define RSC_Line2Name	1024	// szLine2Name
#define RSC_Line2List	1025	// szLine2List
#define RSC_Pt2Name		1026	// szPt2Name
#define RSC_Pt2List		1027	// szPt2List
#define RSC_PathName	1028	// szPathName
#define RSC_PolyName	1029	// szPolyName
#define RSC_SplineName 1030	// szSplineName
#define RSC_SPolyName	1031	// szSPolyName
#define RSC_PList			1032	// szPList
#define RSC_NoSmooth	1033	// szNoSmooth
#define RSC_CuSmooth	1034	// szCuSmooth
#define RSC_PbSmooth	1035	// szPbSmooth
#define RSC_BzSmooth	1036	// szBzSmooth
#define RSC_ListNode	1037
#define RSC_TextName	1038
#define RSC_ListText	1039
#define RSC_BLeft			1040	// text justification name strings
#define RSC_BCenter		1041
#define RSC_BRight		1042
#define RSC_MLeft			1043
#define RSC_MCenter		1044
#define RSC_MRight		1045
#define RSC_TLeft			1046
#define RSC_TCenter		1047
#define RSC_TRight		1048
														// 			1049-1060 for extended jcodes
#define RSC_Bold			1061
#define RSC_Ital			1062
#define RSC_Under			1063
#define RSC_Strike		1064
#define RSC_Vert			1065
#define RSC_FromFile	1066
#define RSC_MissFile	1067
#define RSC_CRLF			1068
#define RSC_AppName		1069
#define RSC_CheckSave	1070
#define RSC_ListTextD	1071

// 	===============================================================
// 	RSCLIN.ASM ID #'s start at 2000t
// 	===============================================================

#define RSC_MaxL		2000	// max resource ID # (calculated)
// 			2001	// (unused)
#define RSC_EntErr		2002	// ent creation failure msg
#define RSC_Colinear		2003	// 3 points colinear
#define RSC_ZeroRad		2004	// zero radius error
#define RSC_ZeroMajRad		2005	// zero maj radius error for Elp
#define RSC_ZeroMinRad		2006	// zero Ecc error for Elp
#define RSC_NumNodeErr		2007	// less than 3 nodes error for poly
#define RSC_Continue         2008    // prompt
#define RSC_DimAt            2009    // prompt
#define RSC_DimLPk           2010    // prompt
#define RSC_DimACen		2011	// DimA prompt
#define RSC_DimLdr		2012	// DimA prompt
#define RSC_DimAEAng		2013	// DimA prompt
#define RSC_DimCPk           2014    // DimC prompt
#define RSC_DimL2Name		2015	// DimL name
 // unused			2016	// old DimL list
#define RSC_DimA2Name		2017	// DimA name
#define RSC_DimA2List		2018	// DimA list
#define RSC_DimCR2Name		2019	// DimC name (Radius)
#define RSC_DimCD2Name		2020	// DimC name (Diameter)
#define RSC_DimC2List		2021	// DimC list
#define RSC_DynEdDim		2022	// DimL dyn_edit prompt
#define RSC_TPos             2023    // Text positions
// 			2024	// (unused)
#define RSC_Auto		2025	// DIM text pos/angle automatic
#define RSC_EditPTitle		2026	// Edit 2D Path Title
#define RSC_DynEdCir		2027	// DYNEDIT circle
#define RSC_DynEdArc		2028	// DYNEDIT arc
#define RSC_DynEdElp		2029	// DYNEDIT ellipse

// 	===============================================================
// 	RSCSCOTT.ASM ID #'s start at 4000
// 	===============================================================

#define RSC_MaxScott			4000	// max resource ID # (calculated)
#define RSC_BkColor			4001	// background color prompt
#define RSC_BadLayer			4002	// bad layer name warning box
#define RSC_NoXLayer			4003	// LAYER - no delete warning
#define RSC_CSLstFmt			4004	// List entity display
#define RSC_P2P				4005	// ask point on circle
#define RSC_CR2P			4006	// ask center of circle
#define RSC_Elip2			4007	// Elipse Axis EndPoint
#define RSC_ElipI1			4008	// Inclination
#define RSC_ElipI2			4009	// First Axis Diameter
#define RSC_ElipI3			4010	// Second Axis Diameter
#define RSC_ElipC1			4011	// Angle to Screen
#define RSC_CR1P			4012	// Radius
#define RSC_CD1P			4013	// Diameter
#define RSC_CD2P			4014	// Center
#define RSC_C21P			4015	// 1st point
#define RSC_C22P			4016	// 2nd point
#define RSC_C33P			4017	// 3rd point
#define RSC_ArcS2			4018	// starting point
#define RSC_ArcS3			4019	// ending angle
#define RSC_ArcR			4020	// starting angle[]
#define RSC_AR2P			4021	// radius
#define RSC_CArc			4022	// next point
#define RSC_CA2P			4023	// direction

#define RSC_AWP				4024	// new active window
#define RSC_NWP1			4025	// new window corner
#define RSC_NWP2			4026	// opposite corner
#define RSC_UnnamedView			4027	// unnamed view
#define RSC_P1P				4028	// view center
#define RSC_ZSP				4029	// zoom scale:
#define RSC_ZW1P			4030	// zoom window:

#define RSC_EdPick			4031	// Edit
#define RSC_DragFrom		     4032	// Drag from:
#define RSC_DragTo			4033	// Drag To:
#define RSC_szMirP1			4034	// Mirror line start:
#define RSC_szMirP2			4035	// Mirror line end:
#define RSC_szRotAng			4036	// Rotate by Angle [!01]:
#define RSC_szRotCen			4037	// Rotate center[!01,!02]:
#define RSC_szSclFct			4038	// Scale by factor[!01]:
#define RSC_szSclPnt			4039	// Scale Center[!01,!02]:
#define RSC_szConne1			4040	// Connect from 1st point:
#define RSC_szConneTo			4041	// Connect to:
#define RSC_szConne2			4042	// Connect from 2nd point:
#define RSC_szSclXFct			4043	// Scale X by[!01]:
#define RSC_szSclYFct			4044	// Scale Y by[!01]:
#define RSC_szStretch			4045	// Stretch what?
#define RSC_szStrPnts			4046	// Stretch points in [Pick window]:

#define RSC_szCorner			4047	// 1st corner:
#define RSC_Last			4048	// Last Point:
#define RSC_P2				4049	// 2nd Point:
#define RSC_P3				4050	// 3rd Point:
#define RSC_szSides			4051	// Number of nodes [!01]:
#define RSC_szDefCen			4052	// Center[!01,!02]:

#define RSC_EntRec			4053	// !01    !02 Entities
#define RSC_Summary			4054	// !01 Entities occupying x of memory	#define RSC_CountTW			4055	// Title for Count
#define RSC_szIDPnt			4056	// Point to identify:
#define RSC_szCord			4057	// Coordinates of X,Y = !01,!02
#define RSC_szLenPk			4058	// Select entity:
#define RSC_szFromPnt			4059	// From point on entity[entire entity]:
#define RSC_szToPnt			4060	// To point on entity:
#define RSC_szLenShow			4061	//    Distance = !01
#define RSC_szAreaP1			4062	// 1st Point[or ENTER to select]:
#define RSC_szNxtP			4063	// Next Point:
#define RSC_szAreaShow			4064	//    Area = !01

#define RSC_SelCopy			4065	// Select entities to copy
#define RSC_szCPYPnt			4066	// Copy Origin
#define RSC_szCPYTo			4067	// Copy to
#define RSC_szColms			4068	// Number of columns
#define RSC_szRows			4069	// Number of rows

#define RSC_szNSpokes			4070	// Number of spokes
#define RSC_szNRings			4071	// Number of rings
#define RSC_szArrayCen			4072	// Array center
#define RSC_szCPYOrig			4073	// Copy origin
#define RSC_szSpokeAng			4074	// Angle between spokes
#define RSC_szRingDist			4075	// Distance between rings

#define RSC_ChgCPrompt			4076	// New entity color
#define RSC_PkWP			4077	// pick entities in window
#define RSC_DispP2			4078	// RD_Disp to point prompt
#define RSC_ArcR2			4079	// ending angle[]

#define RSC_ETTitle			4080	// Edit Text title
#define RSC_NTTitle			4081	// New Text title
#define RSC_szDist1			4082	// DIST from
#define RSC_szDist2			4083	// DIST cmd display
#define RSC_szBrng1			4084	// BRNG from
#define RSC_szBrng2			4085	// BRNG cmd display

#define RSC_DimC2Name			4086	// circ dim label
#define RSC_SymDefName			4087	// sym def label
#define RSC_SymRefName			4088	// sym ref label
#define RSC_szCalc1			4089	// calc greeting
#define RSC_szCalc2			4090	// calc answer

#define RSC_CSPartLstFmt		4091	// part CS list format
#define RSC_WNPk			4092	// window name pick window prompt
#define RSC_DispP2D			4093	// RD_Disp direct displacement prompt
#define RSC_MoveFrom		     4094	// Move from [displacement]:
#define RSC_TextPos			4095	// text position

// 	===============================================================
// 	RSCMIKE.ASM ID #'s start at 3000
// 	===============================================================

#define RSC_Max				3000	// max resource ID # (calculated)
#define RSC_Undef			3001	// msg for an invalid RSCID
#define RSC_PanDisp			3002	// PAN from prompt
#define RSC_InitMenuFile		3003	// program load auto-menu file
#define RSC_InitScriptFile		3004	// program load auto-script file
#define RSC_AboutTitle			3005	// about box title
#define RSC_AboutText			3006	// about box text
#define RSC_Command			3007	// command prompt
#define RSC_Point			3008	// 2d point
#define RSC_WarnTitle			3009	// warn box title
#define RSC_BadCmd			3010	// bad command warning
#define RSC_CmdCopy			3011	// copy cmd here
#define RSC_Grid			3012	// grid button text
#define RSC_Snap			3013	// snap button text
#define RSC_CSnap			3014	// csr snap button text
#define RSC_Ortho			3015	// ortho button text
#define RSC_Verify			3016	// verifying title
#define RSC_AboutMenuErr		3017	// about text if menu load err
#define RSC_MainTitle			3018	// main window title text
#define RSC_NoTitle			3019	// NULL window title
#define RSC_Null			3019	// NULL string
#define RSC_ASaving			3020	// now autosaving
#define RSC_HelpFile			3021	// help file for main program
#define RSC_Unnamed			3022	// new (unnamed) name
#define RSC_LdTitle			3023	// get load file name box title
#define RSC_LdType			3024	// get ld fn file tyle stg
#define RSC_CurFileName			3025	// current file name ANSI
#define RSC_DwgLFltrs			3026	// drawing file load filters list
#define RSC_SavTitle			3027	// get save file name box title
#define RSC_LoadErrMsg			3028	// error loading file
#define RSC_SavErrMsg			3029	// error saving file
#define RSC_NewTitle			3030	// get new drawing name
#define RSC_RenameTitle			3031	// get rename
#define RSC_DwgType			3032	// .TYP of drawing files
#define RSC_FileTitle			3033	// displayable file name
#define RSC_NewPrefix			3034	// new prefix for file title
#define RSC_DfltName			3035	// default file name
#define RSC_Colors			3036	// std colors name table 36..51
#define RSC_ListTitle			3052	// list window title
#define RSC_REG_FCWKey			3053	// registry FCW key name
#define RSC_REG_WDName			3054	// registry working dwg value name
#define RSC_SUName			3055	// startup drawing name (from reg)
#define RSC_XPInst			3056	// title for xp install box
#define RSC_XPType			3057	// type of XP file
#define RSC_XPFltr			3058	// XP file filter
#define RSC_OurPath			3059	// path to FCW32.EXE (ends with \)
#define RSC_SelScript			3060	// title for script box
#define RSC_ScType			3061	// type of script file
#define RSC_ScFltr			3062	// script file filter
#define RSC_SelMenu			3063	// title for menu box
#define RSC_MFType			3064	// type of menu file
#define RSC_MFFltr			3065	// menu file filter
#define RSC_GridDel			3066	// delete grid system
#define RSC_GridV			3067	// grid spacing value
#define RSC_SnapDiv			3068	// # snap divisions
#define RSC_Align			3069	// grid align point
#define RSC_GClassR			3070	// rect grid class name
#define RSC_GClassC			3071	// circ grid class name
#define RSC_StdGridR			3072	// std Rgrid sstem inst name
#define RSC_StdGridC			3073	// std Cgrid sstem inst name
#define RSC_Temp			3074	// temp stg bfr (266 bytes)
#define RSC_PriorPt			3075	// 2d/3d @ prior point
#define RSC_SSetDel			3076	// delete view SSet
#define RSC_REG_SUPName			3077	// registry setup posn value name
#define RSC_XPRepl			3078	// replace existing XP?
#define RSC_XPDel			3079	// delete existing XP?
#define RSC_XPLdErr			3080	// error loading XP
#define RSC_CheckDiscard		3081	// ok to discard
#define RSC_XPPath			3082	// path to XP modules (ends with \)
#define RSC_Line3Name			3083	// szLine3Name
#define RSC_Line3List			3084	// szLine3List
#define RSC_FitWHLst			3085	// fit width/height list
#define RSC_Depth			3086	// 3d depth mode
#define RSC_DepthB			3087	// debth button label
#define RSC_StyleDel			3088	// delete style
#define RSC_SegList			3089	// ed lstyle list fmt
#define RSC_draw			3090	// ed lstyle draw seg text
#define RSC_skip			3091	// ed lstyle skip seg text
#define RSC_item1			3092	// single edit item only
#define RSC_StyleUsed			3093	// no delete style: in use
#define RSC_SRefName			3094	// SREF entity name
#define RSC_SRefList			3095	// SREF entity list
#define RSC_SymName			3096	// InsSym symbol name
#define RSC_SymOrg			3097	// DefSym symbol origin
#define RSC_SymLoc			3098	// InsSym insert at location
#define RSC_SymScaleX			3099	// InsSym insert X scale
#define RSC_SymRotXY			3100	// InsSym insert rotation XY
#define RSC_Select			3101	// select entity prompt
#define RSC_SDefName			3102	// SDEF entity name
#define RSC_SDefList			3103	// SDEF entity list
#define RSC_SymScaleY			3104	// InsSym insert Y scale
#define RSC_NoSymDef			3105	// no SYMDEF exists for name
#define RSC_NewSymName			3106	// DefSym symbol name
#define RSC_WasSymDef			3107	// SYMDEF exists for name
#define RSC_SRefList2			3108	// SREF entity list, part 2
#define RSC_SListTitle			3109	// LISTSYM title
#define RSC_DelSymV			3110	// DELSYM verify msg box
#define RSC_DelSymU			3111	// DELSYM unable msg box
#define RSC_Atrib2Name			3112	// ATTRIB entity name
#define RSC_Atr2List			3113	// ATTRIB strings listing
#define RSC_Atr2Hide			3114	// ATTRIB hide flag (text)
#define RSC_Atr2Const			3115	// ATTRIB constant flag (text)
#define RSC_Atr2Tag			3116	// ATTRIB disp tag flag (text)
#define RSC_Atr2RefList			3117	// ATTRIB REF list
#define RSC_Atr2ExTitle			3118	// EXTRACT TW title
#define RSC_Atr2Ex			3119	// EXTRACT format
#define RSC_Color			3120	// COLOR command
#define RSC_DColor			3121	// DSKCOLOR command
#define RSC_REG_DskName			3122	// registry desktop data name
#define RSC_BadMod			3123	// invalid modifier
#define RSC_REF				3124	// reference point
#define RSC_ModEnt			3125	// entity for modifier
#define RSC_Pct				3126	// % modifier value
#define RSC_Dist			3127	// DIST modifier value
#define RSC_NewXLayer			3128	// new layer exists
#define RSC_AskLayer			3129	// ask for style ID (RD_Layer)
#define RSC_AskColor			3130	// ask for color ID (RD_Color)
#define RSC_SelMove			3131	// entities to move
#define RSC_SelEra			3132	// entities to erase
#define RSC_SelMir			3133	// entities to mirror
#define RSC_SelRot			3134	// entities to rotate
#define RSC_SelScl			3135	// entities to scale
#define RSC_SelCnct			3136	// entities to connect
#define RSC_SelStr			3137	// entities to stretch
#define RSC_SelList			3138	// entities to list
#define RSC_SelCount			3139	// entities to count
#define RSC_SelSclXY			3140	// entities to scale XY
#define RSC_SelSymE			3141	// entities to define symbol
#define RSC_SelChgC			3142	// entities to change color
#define RSC_SelChgL			3143	// entities to change layer
#define RSC_SelChgLS			3144	// entities to change line style
#define RSC_LyrBtnFmt			3145	// layer status btn format
#define RSC_LyrBtnTxt			3146	// layer status btn text
#define RSC_LStyBtnFmt			3147	// line style status btn format
#define RSC_LStyBtnTxt			3148	// line style status btn text
#define RSC_FStyBtnFmt			3149	// fill style status btn format
#define RSC_FStyBtnTxt			3150	// fill style status btn text
#define RSC_TrkBtnFmt			3151	// abs tracking status btn format
#define RSC_TrkBtnTxt			3152	// tracking status btn text
#define RSC_SelChgFS			3153	// entities to change fill style
#define RSC_AskLStyle			3154	// ask line style (RD_LStyle)
#define RSC_AskFStyle			3155	// ask fill style (RD_FStyle)
#define RSC_RTrkBtnFmt			3156	// rel tracking status btn format
#define RSC_PTrkBtnFmt			3157	// polar tracking status btn format
#define RSC_CBar			3158	// color bar tool name
#define RSC_IBar			3159	// icon bar tool name
#define RSC_PBar			3160	// prompt bar tool name
#define RSC_SBar			3161	// status bar tool name
#define RSC_ScrollBar			3162	// scroll bar tools name
#define RSC_PalFileName			3163	// palette file name
#define RSC_ClrNrSel			3164	// dlg color selected
#define RSC_InitMacroFN			3165	// initial macro file name
#define RSC_ClrNoChgWB			3166	// no change color warning
#define RSC_ClrWP			3167	// write protected colors
#define RSC_ClrCtl			3168	// special use colors
#define RSC_SelMac			3169	// title for macro box
#define RSC_MacType			3170	// type of macro file
#define RSC_MacFltr			3171	// macro file filter
#define RSC_SaveMac			3172	// title for save macro box
#define RSC_AskVName			3173	// ask for variable name
#define RSC_AskPVal			3174	// ask for point value
#define RSC_AskVVal			3175	// ask for real value
#define RSC_AskDVal			3176	// ask for distance value
#define RSC_AskAVal			3177	// ask for angle value
#define RSC_AskNVal			3178	// ask for dword value
#define RSC_AskWVal			3179	// ask for txtword value
#define RSC_AskLVal			3180	// ask for txtline value
#define RSC_VarTitle			3181	// list variables title
#define RSC_AskTVal			3182	// ask for goto label
#define RSC_TermBfr			3183	// RDATACHK term buffer
#define RSC_TargNF			3184	// goto target label not found
#define RSC_StepInfo			3185	// step msg box fmt
#define RSC_StepCmd			3186	// step cmd msg box format
#define RSC_PTrkBtnFmt3			3187	// 3d polar tracking status btn fmt
#define RSC_BrngP2			3188	// bearing to point RD_Brng
#define RSC_ArrowEnt			3189	// entity for arrowhead
#define RSC_TFTitle			3190	// text from file title/prompt
#define RSC_TFType			3191	// text from file type
#define RSC_TFFltr			3192	// text from file filters
#define RSC_MP2Name			3193	// 2d multipoly name
#define RSC_MP2List			3194	// 2d multipoly list
#define RSC_SelMPE			3195	// 3d mpoly edge ent sel
#define RSC_Deg				3196	// degree modifier
#define RSC_TrimPick			3197	// trim entity pick
#define RSC_TrimPt			3198	// trim to point
#define RSC_TrimTo			3199	// trim to entity
#define RSC_TrimTE			3200	// entities to trim
#define RSC_PartEName			3201	// part entity name
#define RSC_PartList			3202	// part entity list
#define RSC_SelPartE			3203	// part entities
#define RSC_RgpPick			3204	// regroup entity
#define RSC_PartName			3205	// part to insert title
#define RSC_PAryAt1			3206	// 1st part at
#define RSC_PAryAt2			3207	// part 2nd row 2nd col
#define RSC_PartAt			3208	// move part org to
#define RSC_CurPartName			3209	// current part name var
#define RSC_UnitM			3210	// UNITM prompt
#define RSC_DecP			3211	// SETDECP prompt
#define RSC_DistFmt			3212	// DISTFMT prompt
#define RSC_FRnd			3213	// SETFRAC prompt
#define RSC_DFmtList			3214	// Distance format list
#define RSC_FRndList			3215	// Fraction rounding list
#define RSC_UnitList			3216	// unit names list
#define RSC_Atch			3217	// attach button label
#define RSC_CPAryCen			3218	// CPARY center
#define RSC_CPAryAt			3219	// CPARY 1st part at
#define RSC_WritePTitle			3220	// WRITE part title
#define RSC_WPartEnts			3221	// WRITE part entities
#define RSC_WPartOrg			3222	// WRITE part origin
#define RSC_NewOrg			3223	// ORIGIN point
#define RSC_AskViewName			3224	// ZNAME name rest
#define RSC_AtchMode			3225	// attach mode list
#define RSC_AtchModeIx			3226	// attach mode list index
#define RSC_SelChgTS			3227	// entities to change text specs
// unused				3228	// entities to change dim specs
#define RSC_TrimI1			3229	// trim to int ent 1
#define RSC_TrimI2			3230	// trim to int ent 2
#define RSC_TrimLen			3231	// trim to length
#define RSC_CirTan3Ent			3232	// circle tan to 3 ents
#define RSC_C3TErr			3233	// CirTan3 error
#define RSC_C3TEErr			3234	// CirTan3 type of entity error
#define RSC_DonutIR			3235	// DONUT inner radius
#define RSC_DonutOR			3236	// DONUT outer radius
#define RSC_DonutC			3237	// DONUT center
#define RSC_DynEdLn			3238	// DYNEDIT line point
#define RSC_FStyTitle			3239	// FSTYLE select prop sheet title
#define RSC_FStyPg1			3240	// FSTYLE prop sheet pg1 title
#define RSC_FStyPg2			3241	// FSTYLE prop sheet pg2 title
#define RSC_FStyPg3			3242	// FSTYLE prop sheet pg3 title
#define RSC_FSNUsedMsg			3243	// FSTYLE name in use msg
#define RSC_SelBmp			3244	// title for BMP file find
#define RSC_BmpType			3245	// type of BMP file
#define RSC_BmpFltr			3246	// BMP file filter
#define RSC_FStyPg4			3247	// FSTYLE prop sheet pg4 title
#define RSC_DelTitle			3248	// DELETE cmd title
#define RSC_DelFltrs			3249	// DELETE file filters
#define RSC_DelOK			3250	// DELETE confirm box
#define RSC_OurExe			3251	// our prog path & .exe filename
#define RSC_REG_FCWdot			3252	// registry .fname
#define RSC_REG_FCWdotv			3253	// registry .fname value
#define RSC_REG_FCWscmdk		3254	// registry key .fname shell cmd
#define RSC_REG_FCWnewk			3255	// registry shell new command
#define RSC_REG_FCWscmdv		3256	// registry .fname shell cmd value
#define RSC_REG_FCWiconk		3257	// registry key .fname icon locn
#define RSC_REG_FCWinfok		3258	// registry .fname info key
#define RSC_REG_FCWiconv		3259	// registry .fname icon locn value
#define RSC_REG_FCWpathk		3260	// registry FCW32 path key
#define RSC_REG_FCWpath 		3261	// registry FCW32 path name
#define RSC_REG_FCWpathv		3262	// registry FCW32 path value
#define RSC_REG_FCWinfo			3263	// registry file type info
#define RSC_REG_FCWnew			3264	// registry shell new label
#define RSC_GUIID			3265	// .FCW GUIID text string
#define RSC_REG_FCWscmdpk		3266	// registry key shell print cmd
#define RSC_ModEnt1			3267	// 1st entity for modifier
#define RSC_ModEnt2			3268	// 2nd entity for modifier
#define RSC_FilRad			3269	// fillet radius
#define RSC_FilRadErr			3270	// fillet radius too small
#define RSC_ChDist			3271	// chamfer distance
#define RSC_IBar2			3272	// 2nd icon bar tool name
#define RSC_IBar3			3273	// 3rd icon bar tool name
#define RSC_IBar4			3274	// 4th icon bar tool name
#define RSC_InitIBarFile		3275	// initial icon bar menu file
#define RSC_PrPrvTitle			3276	// print preview title
// unused				3277	// must rename something warn box
// unused				3278	// new DStyle name
// unused				3279	// delete Dstyle
// unused				3280	// no delete Dstyle: in use
#define RSC_SplitPick			3281	// entity to split
#define RSC_SplitPt			3282	// split entity at point
#define RSC_BreakPk			3283	// entity to break
#define RSC_BreakP1			3284	// break entity from point
#define RSC_BreakP2			3285	// break entity to point
#define RSC_DblSep			3286	// double line separation prompt
#define RSC_RptFrom			3287	// REPEAT from pt
#define RSC_RptTo			3288	// REPEAT to pt
#define RSC_LikePick			3289	// LIKE cmd entity pick prompt

#define RSC_SaveCB			3290	// ask save clipboard?
#define RSC_ClipOrigin			3291	// clipboard origin
#define RSC_ClipPick			3292	// clip cmd entity pick prompt
#define RSC_BadPaste			3293	// clipbd can't paste data
#define RSC_CBEmpty			3294	// clipboard empty
#define RSC_TxTooBig			3295	// cboard text too big - trunc
#define RSC_MenuType			3296	// .MNU
#define RSC_CurDwgPath			3297	// current dwg path stg

#define RSC_ODName			3298	// Ord dim name
#define RSC_ODList			3299	// Ord dim listing
#define RSC_ODOrg			3300	// Ord dim origin point
#define RSC_ODAt			3301	// Ord dim text at point
#define RSC_ODLdr			3302	// Ord dim leader point
#define RSC_ODListL			3303	// Ord Dim list leader pt

#define RSC_DwgSFltrs			3304	// drawing file save filters list
#define RSC_DwgNFltrs			3305	// drawing file name filters list
#define RSC_LFTypeIdx			3306	// load file type index
#define RSC_CurSaveName			3307	// current save name
#define RSC_LoadFileName		3308	// current file being loaded

#define RSC_MacroV1			3309	// macro bfr 1
#define RSC_MacroV2			3310	// macro buffer 2
#define RSC_PriorFN			3311	// prior dwg file name
#define RSC_PriorTF			3312	// prior dwg temp copy file name
#define RSC_ClipbdFN			3313	// clipbd cur FCW copy
#define RSC_Cancel			3314	// cancel button text
#define RSC_CvtSTitle			3315	// convert status title
#define RSC_MenuName			3316	// menu file name prompt

#define RSC_MPartName			3317	// part name prompt
#define RSC_PartScale			3318	// part scale prompt
#define RSC_PartRot			3319	// part rot prompt
#define RSC_ScriptNm			3320	// SCRIPTM file name
#define RSC_ZWid			3321	// zoom width prompt
#define RSC_ZHgt			3322	// zoom height prompt

#define RSC_MacroName			3323	// macro file name prompt
#define RSC_DemoBox			3324	// demo startup box text
#define RSC_OfDist			3325	// offset distance
#define RSC_OfEnt			3326	// offset entity
#define RSC_OfSide			3327	// offset side

#define RSC_PColor			3328	// prompt text color
#define RSC_XPEName			3329	// xp ent name for count cmd

#define RSC_OfChain			3330	// offset chain
#define RSC_InsPick			3331	// INS NODE entity pick
#define RSC_DelPick			3332	// DEL NODE entity pick
#define RSC_EditPt			3333	// DYNEDIT/INSNODE point
#define RSC_SFTypeIdx			3334	// save file type index

#define RSC_TemplateName		3335	// new dwg template file
#define RSC_TemplateTitle		3336	// select template title
#define RSC_REG_TemplateKey		3337	// reg key for template name
#define RSC_InitPath			3338	// path on program startup
#define RSC_TemplateType		3339	// template file type
#define RSC_DwgTFltrs			3340	// drawing template filters list
#define RSC_REG_FCTdot			3341	// reg template file type
#define RSC_Discard			3342	// Discard command warning
// 				3343	// (unused)
#define RSC_NoCpyFrzn			3344	// can't copy to frozen layer

#define RSC_WebInfo			3345	// web info message box text
#define RSC_AboutDemo			3346	// about box text (DEMO version)
#define RSC_REG_XP			3347	// XP registry key

// 	Added in FCW version 5.04:

#define RSC_szTxtPos			3348	// Centered/Above/Below (dim tx pos)
#define RSC_szEmpty			3349	// empty list for dialog boxes
#define RSC_actual			3350	// "actual" dim vale
#define RSC_fixed			3351	// "fixed" dim value
#define RSC_DimLNList1			3352	// DimL2N start pos list
#define RSC_DimLNList2			3353	// DimL2N dim value, pos list
#define RSC_DStyLst2			3354	// DStyle2 list data
#define RSC_JustLst			3355	// TSPEC justify list box text list
#define RSC_SelExp			3356	// entities to explode

// 	Added in FCW version 5.05:

#define RSC_StdMenuName			3357	// std menu to load/reload (variable)
#define RSC_LWidBtnTxt			3358	// line width status btn text variable
#define RSC_LWidBtnFmt			3359	// line width status btn text format
#define RSC_SelChgLW			3360	// change LW selent dbox title
#define RSC_TooNew			3361	// FCW file ver newer than program
#define RSC_AskLWidth			3362	// LWIDTH prompt
#define RSC_Select1			3363	// select entity prompt: single each
#define RSC_SelChgDS			3364	// dbox ttl: select for chng dim sty
#define RSC_SelFront			3365	// dbox ttl: select for front
#define RSC_SelDrag			3366	// dbox ttl: select for drag
#define RSC_SelUngp			3367	// dbox ttl: select for ungroup
#define RSC_szHTxtPos			3368	// dim text horz: cen/left/right
#define RSC_StdIMNName			3369	// std .IMN to load/reload (variable)
#define RSC_PartOldVer			3370	// part is old version FCW

// 	Added in FCW version 5.07:

#define RSC_SelTagN			3371	// tag #
#define RSC_SelTagR			3372	// through Tag #

// 	Added in FCW version 5.09:

#define RSC_LoadM			3373	// file to load
#define RSC_SaveM			3374	// save as file
#define RSC_MacName			3375	// current macro file name
#define RSC_SaveMacM			3376	// save macros as file
#define RSC_RunApp			3377	// application to run

#define RSC_PARYNC			3378	// PARYM cmd # columns
#define RSC_PARYNR			3379	// PARYM cmd # rows
#define RSC_CPARYNS			3380	// CPARYM cmd # spokes
#define RSC_CPARYNR			3381	// CPARYM cmd # rings
#define RSC_CPARYRD			3382	// CPARYM cmd dist between rings
#define RSC_CPARYAD			3383	// CPARYM cmd ang between spokes
#define RSC_WrPartName			3384	// part name written
#define RSC_WMPartName			3385	// WRITEM prompt
#define RSC_TWPrint			3386	// Tx Window print menu cmd text
#define RSC_TWSave			3387	// Tx Window save menu cmd text
#define RSC_TWSetup			3388	// Tx window page setup cmd
#define RSC_REG_SymCatKey		3389	// sym catalog key name
#define RSC_XPTypeLabel			3390	// label for sel by type dialog
#define RSC_SymNBig			3391	// SYM name is too long
#define RSC_Z3Dist			3392	// 3d zoom distance
#define RSC_Z3Ang			3393	// 3d zoom angle
#define RSC_Z3Move			3394	// 3d zoom deltas
#define RSC_Z3LFrom			3395	// 3d look from pt
#define RSC_Z3LAt			3396	// 3d look at pt
#define RSC_Z3LUp			3397	// 3d look up pt
#define RSC_Path3Name			3398	// 3d path entity name
#define RSC_Poly3Name			3399	// 3d poly entity name
#define RSC_Spline3Name			3400	// 3d spline entity name
#define RSC_SPoly3Name			3401	// 3d spoly entity name
#define RSC_Pause			3402	// # seconds to pause
#define RSC_RenSymW			3403	// rename symbol warning
#define RSC_NoUndoW			3404	// no undo warning
#define RSC_PATitleA			3405	// PA dlg title - adding
#define RSC_PAsmNameW			3406	// PA name already in use
#define RSC_IntEnt1			3407	// INT mod 1st entity prompt
#define RSC_StdDSName			3408	// default dim style name
#define RSC_QDelDS			3409	// want to del DStyle?
#define RSC_REG_PDName			3410	// registry part dwg value name
#define RSC_REG_DWGSUName		3411	// reg dwg options value name
#define RSC_ASaveAbout			3412	// AutoSave XP about
#define RSC_ASaveWarn			3413	// AutoSave save error warning
#define RSC_REG_ASave			3414	// AutoSave Registry value name
#define RSC_ASaveMenu			3415	// AutoSave Menu Text
#define RSC_SaveFN1			3416	// restore file menu item 1
#define RSC_SaveFN2			3417	// restore file menu item 2
#define RSC_SaveFN3			3418	// restore file menu item 3
#define RSC_SaveFN4			3419	// restore file menu item 4
#define RSC_REG_Clipboard		3420	// registry clipboard value name
#define RSC_ActAbout			3421	// action about box text
#define RSC_ActWin			3422	// action hotspot win prompt
#define RSC_ActEName			3423	// action entity name
#define RSC_ActionList			3424	// action listing
#define RSC_ATTitle			3425	// action dbox title
#define RSC_ActStatus			3426	// action status prompt
#define RSC_HotSpot			3427	// action hot spot pick
#define RSC_ActMenu			3428	// action menu
#define RSC_PATitleE			3429	// PA dlg title - editing
#define RSC_PADName			3430	// PA dwg name dlg title
#define RSC_HelpNr			3431	// help context # prompt
#define RSC_NoteNameW			3432	// note name used warning
#define RSC_PAAbout			3433	// print assembly about
#define RSC_LPRSpecs			3434	// print assembly listing
#define RSC_LVSpec			3435	// print assembly listing
#define RSC_LVMSpec			3436	// print assembly listing
#define RSC_LVMSpecA			3437	// print assembly listing
#define RSC_LVMSpecAW			3438	// print assembly listing
#define RSC_LVSSpec			3439	// print assembly listing
#define RSC_LVSSpecS			3440	// print assembly listing
#define RSC_PAMenu			3441	// print assembly menu
#define RSC_AskCatName			3442	// ask symcat name
#define RSC_AboutSymCat			3443	// about symcat xp
#define RSC_SymCatTitle			3444	// symcat window title
#define RSC_CatBtnName			3445	// catalog button title
//
#define RSC_TabMenu			3446	// tablet menu
#define RSC_TabCal0R			3447	// real area ll
#define RSC_TabCal1R			3448	// real area ur
#define RSC_TabCal0M			3449	// menu area ll
#define RSC_TabCal1M			3450	// menu area ur
#define RSC_TabCal0S			3451	// screen area ll
#define RSC_TabCal1S			3452	// screen area ur
#define RSC_NoTablet			3453	// tablet unavailable
#define RSC_TabNoCfg			3454	// configuration not completed
#define RSC_TabColPrmp			3455	// menu # columns
#define RSC_TabRowPrmp			3456	// menu # rows
#define RSC_TabCalPrmp0			3457	// calibrate dig pt 0
#define RSC_TabCalPrmp1			3458	// calibrate dig pt 1
#define RSC_TabCalPrmp0V		3459	// calibrate pt 0 coordinate
#define RSC_TabCalPrmp1V		3460	// calibrate pt 1 coordinate
#define RSC_TabNeedCfg			3461	// tablet need configuration
#define RSC_REG_TabName			3462	// registry key for tab data
#define RSC_TabNoCal			3463	// calibration not completed
#define RSC_TabNoOrtho			3464	// cal pts must not be ortho

#define RSC_GFNTitle			3465	// title for GFN opn/save dialog
#define RSC_AtribTag			3466	// ATTRIBM tag text
#define RSC_AtribPrompt			3467	// ATTRIBM prompt text
#define RSC_AtribValue			3468	// ATTRIBM value text
#define RSC_AtribLocn			3469	// ATTRIB(M) location point

#define XRSC_AboutText			3470	// about box text
#define XRSC_DWGDesc			3471	// file type description
#define XRSC_DWGType			3472	// file type, ie: "DWG",0
#define XRSC_DXFDesc			3473	// file type description
#define XRSC_DXFType			3474	// file type, ie: "DXF",0
#define XRSC_InitErr			3475	// error initializing AD2
#define XRSC_LoadErr			3476	// error loading file
#define XRSC_MemErr			3477	// error allocating memory
#define XRSC_SaveErr			3478	// error saving file
#define XRSC_VerList			3479	// save version # list

#define XRSC_FCDAboutText		3480	// about box text
#define XRSC_FCDFileDesc		3481	// file type description
#define XRSC_FCDFileType		3482	// file type, ie: "FCD",0
//
#define XRSC_ECWAboutText		3483	// about box text
#define XRSC_ECWFileDesc		3484	// file type description
#define XRSC_ECWFileType		3485	// file type, ie: "FCD",0
//
#define RSC_ActText			3486	// actionM text prompt
#define RSC_OpenDoc			3487	// opendoc prompt
//
#define RSC_DimLAt			3488	// DIML 1st baseline at point
#define RSC_DimLAtN			3489	// DIML next baseline at point
#define RSC_ODDynDel			3490	// DIMO dynedit delete
#define RSC_ODDynIns			3491	// DIMO dynedit insert
#define RSC_DynEdPath			3492	// DYNEDIT Path/Poly
#define RSC_PEditPick			3493	// PEDIT entity to pick
#define RSC_PAtDist			3494	// PRL PRP ANG pt at[distance]
#define RSC_DBLN			3495	// double line next point
#define RSC_SelBack			3496	// sel ents to BACK
#define RSC_TrimE1			3497	// trim between entity # 1
#define RSC_TrimE2			3498	// trim between entity # 2
#define RSC_AboutDemo2			3499	// ABOUT DEMO not timed out
#define RSC_DemoBox2			3500	// DEMO splash after timeout
#define RSC_ActMenuD			3501	// DEMO action menu
#define RSC_PAMenuD			3502	// DEMO print assembly menu
#define RSC_DemoBox3			3503	// DEMO intro box - always disab
#define RSC_MsgBoxTitle			3504	// MSGBOX title prompt
#define RSC_MsgBoxText			3505	// MSGBOX text prompt
#define RSC_Lock			3506	// lock button locked
#define RSC_Unlock			3507	// lock button unlocked
#define RSC_ListGroup			3508	// group list start
#define RSC_ListGroupEnd		3509	// group list end
#define RSC_ListGroupIncl		3510	// group margin pad char
#define RSC_ListMPoly			3511	// mpoly list start

#define RSC_REG_FCWKey2			3512	// registry FCW key name (5.17+)
#define RSC_OldID			3513	// old XPID
#define RSC_NewID			3514	// new XPID
#define RSC_CHGXPID			3515	// warning for CHGXPID
#define RSC_Extents			3516	// Extents display
#define RSC_PreSel			3517	// preselect entities
#define RSC_ExtTitle			3518	// Extents cmd mbox title
#define RSC_DispP3D			3519	// RD_Disp3 direct displacement prompt

#define RSC_TypePath2			3520	// TYPE sel box path2 open no crv
#define RSC_TypePoly2			3521	// TYPE sel box path2 close no crv
#define RSC_TypeSpline2			3522	// TYPE sel box path2 spline open
#define RSC_TypeSPoly2			3523	// TYPE sel box path2 spline cls
#define RSC_TypeBez2			3524	// TYPE sel box path2 bezier

#define RSC_AskFNPat			3525	// GFNOP/GFNSP pattern prompt
#define RSC_TemplM			3526	// TEMPLATEM prompt
#define RSC_RotPt1			3527	// Rotate Pt from
#define RSC_RotPt2			3528	// Rotate Pt to
#define RSC_DSPECH			3529	// DSPECH prompt
#define RSC_ASTYLEH			3530	// ASTYLEH prompt
#define RSC_ASTYLEL			3531	// ASTYLEL prompt

#define RSC_DEFSYMCAT			3532	// default symbol catalog
#define RSC_DEFGUIDE			3533	// default guide file

#define RSC_FontTitle			3534	// font add property sheet title
#define RSC_Font0Pg			3535	// font 0 tab title
#define RSC_Font1Pg			3536	// font 1 tab title
#define RSC_Font2Pg			3537	// font 2 tab title

#define RSC_XREFName			3538	// XREF entity name
#define RSC_ListXREF			3539	// List XREF Entity
#define RSC_SHXTitle			3540	// SHX fonts dir dialog
#define RSC_REG_SHXDir			3541	// SHX fonts dir regkey
#define RSC_SHXInvalid			3542	// SHX unsupported type
#define RSC_NewGDE			3543	// #NEW.GDE file name
#define RSC_PName			3544	// 7 letter product name


#define RSC_EdSymOK                  3545    // keep ed sym changes?
#define RSC_OwnerDLGone              3546    // owner DL for EdSym gone

#define RSC_Wall2Name                3547    // wall2 entity name
#define RSC_Wall2ListN               3548    // wall2 list node
#define RSC_RoomCorner               3549    // room2 1st corner
#define RSC_RoomCorner2              3550    // room2 opposite corner
#define RSC_Wall2ListS               3551    // wall2 list span
#define RSC_Wall1                    3552    // starting node of a wall
#define RSC_Wall2                    3553    // connected node of a wall
#define RSC_WallPk                   3554    // pick existing wall
#define RSC_WallThick                3555    // wall thickness
#define RSC_CInError                 3556    // wall cut pick must be inside
#define RSC_CNSError                 3557    // wall cut not on same span
#define RSC_WallOffset               3558    // wall offset distance
#define RSC_WallChgThick             3559    // wall change thickness
#define RSC_WallPkN                  3560    // pick existing wall[new]

#define RSC_BrngPt                   3561    // BRNG mod point or dist prompt
#define RSC_REG_RKMnuName            3562    // reg menu keyword
#define RSC_DefMenuName              3563    // MENUD default menu name
#define RSC_NewDwgName               3564    // name given by NEW cmd "(work)"
#define RSC_RotCen                   3565    // DYNROT(C) origin
#define RSC_SclCen                   3566    // DYNSCL(C) origin
#define RSC_NoClsWork                3567    // can't close sep work window
#define RSC_CtrlPName                3568    // control points entity name
#define RSC_CtrlPList                3569    // control points list
#define RSC_NoteName                 3570    // note entity name
#define RSC_PASMName                 3571    // plot assembly name
#define RSC_NoCls1OV                 3572    // no close only overlay win
#define RSC_AboutDemo3               3573    // always timed out demo

#define RSC_IBar5                    3574    // icon bar 5 name
#define RSC_IBar6                    3575    // icon bar 6 name
#define RSC_IBar7                    3576    // icon bar 7 name
#define RSC_IBar8                    3577    // icon bar 8 name
#define RSC_ChgLW                    3578    // change line width prompt
#define RSC_LayerTitle               3579    // list layers title
#define RSC_AboutView                3580    // ABOUT text - VIEW32
#define RSC_SaveVarsName             3581    // SAVEVARS prompt
#define RSC_REG_BrowseName           3582    // OPENPD/OPENND browse list
#define RSC_ZText                    3583    // ZTEXT prompt
#define RSC_GRFN                     3584    // GRFN path prompt
#define RSC_REG_BookmarkFile         3585    // bookmark file reg keyname
#define RSC_DefBookmarkFile          3586    // default bookmark file name
#define RSC_BookmarkType             3587    // bookmark file type
#define RSC_BkmFltrs                 3588    // bookmark file filter
#define RSC_BkmLTitle                3589    // bookmark file open dialog
#define RSC_BkmSTitle                3590    // bookmark file save dialog
#define RSC_SearchResults            3591    // search results bkmrk file name
#define RSC_SearchEmpty              3592    // search found no matches
#define RSC_REG_SearchParms          3593    // search parms reg key
#define RSC_DfltSrchParms            3594    // default search parms image
#define RSC_AskExistErr              3595    // bookmark file does not exist
#define RSC_REG_BookmarkData         3596    // bookmark bin reg data
#define RSC_Searching                3597    // searching status message
#define RSC_BadNewKey                3598    // protect - bad new key
#define RSC_BadKeyMatch              3599    // protect - bad key match
#define RSC_IsProtected              3600    // protect - dwg is protected
#define RSC_CmdFlags                 3601    // protect - command flags
#define RSC_REG_ToolDir              3602    // tools direction
#define RSC_DynPanOrg                3603    // DYNPAN cmd origin
#define RSC_OrbCen                   3604    // DYNPAN orbit center
#define RSC_OrbDist                  3605    // DYNPAN orbit distance to center
#define RSC_3dCenter                 3606    // DYNPAN 3d center point
#define RSC_ActCmd                   3607    // ACT cmd prompt
#define RSC_LdSymDef                 3608    // LDSYMDEF prompt
#define RSC_SheetName				3609		 // prompt for SHEET name
#define RSC_SheetNameC				3610		 // prompt for SHEET name [common]
#define RSC_SheetAskDel				3611		 // ok to delete sheet
#define RSC_HideCurSht				3612		 // err- cant hide cur sheet
#define RSC_CommonSheet				3613		 // common sheet list box label
#define RSC_SheetNewErr				3614		 // error - sheet already exists
#define RSC_SelShCopy				3615		 // ents to copy to sheet
#define RSC_SelShMove				3616		 // ents to move to sheet
#define RSC_PrintSheetCB			3617		 // print sheet combobox init
#define RSC_SDNotNow				3618		 // no SYMDEF during EDSYMDEF
#define RSC_SheetBtnFmt				3666	// sheet status btn format
#define RSC_SheetBtnTxt				3667	// sheet status btn text
#define RSC_REG_DWGSUName2			3668	// reg xpdwg2 options value name
#endif
