;	===============================================================
;	RECT32.CPY - 32-bit rectangle macros
;	===============================================================
;	Copyright 1995 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 5-8-95
;	---------------------------------------------------------------

TAKELEFT	macro	torect,fromrect,siz
		ifnb	<torect>
		mov	eax,fromrect.left	;left
		mov	torect.left,eax
		add	eax,siz			;take from old left
		mov	fromrect.left,eax
		dec	eax			;give to new right
		mov	torect.right,eax
		mov	eax,fromrect.top	;top
		mov	torect.top,eax
		mov	eax,fromrect.bottom	;bottom
		mov	torect.bottom,eax
		else
		mov	eax,siz			;just take away (space)
		add	fromrect.left,eax
		endif
		endm

TAKERIGHT	macro	torect,fromrect,siz
		ifnb	<torect>
		mov	eax,fromrect.top	;top
		mov	torect.top,eax
		mov	eax,fromrect.right	;right
		mov	torect.right,eax	
		sub	eax,siz			;take from old right
		mov	fromrect.right,eax
		inc	eax			;give to new left
		mov	torect.left,eax
		mov	eax,fromrect.bottom	;bottom
		mov	torect.bottom,eax
		else
		mov	eax,siz			;just take away (space)
		sub	fromrect.right,eax
		endif
		endm

TAKETOP		macro	torect,fromrect,siz
		ifnb	<torect>
		mov	eax,fromrect.left	;left
		mov	torect.left,eax
		mov	eax,fromrect.top	;top
		add	eax,siz			;take from old top
		mov	fromrect.top,eax
		dec	eax			;give to new bottom
		mov	torect.bottom,eax
		mov	eax,fromrect.right	;right
		mov	torect.right,eax	
		else
		mov	eax,siz			;just take away (space)
		add	fromrect.top,eax
		endif
		endm

TAKEBOTTOM	macro	torect,fromrect,siz
		ifnb	<torect>
		mov	eax,fromrect.left	;left
		mov	torect.left,eax
		mov	eax,fromrect.right	;right
		mov	torect.right,eax
		mov	eax,fromrect.bottom	;bottom
		mov	torect.bottom,eax
		sub	eax,siz			;take from old bottom
		mov	fromrect.bottom,eax
		inc	eax			;give to new top
		mov	torect.top,eax
		else
		mov	eax,siz			;just take away (space)
		sub	fromrect.bottom,eax
		endif
		endm

COPYRECT	macro	torect,fromrect
		IFB	<fromrect>		;left
		mov	eax,RECT.left[esi]
		ELSE
		mov	eax,fromrect.left
		ENDIF
		IFB	<torect>
		mov	RECT.left[edi],eax
		ELSE
		mov	torect.left,eax
		ENDIF
		IFB	<fromrect>		;top
		mov	eax,RECT.top[esi]
		ELSE
		mov	eax,fromrect.top
		ENDIF
		IFB	<torect>
		mov	RECT.top[edi],eax
		ELSE
		mov	torect.top,eax
		ENDIF
		IFB	<fromrect>		;right
		mov	eax,RECT.right[esi]
		ELSE
		mov	eax,fromrect.right
		ENDIF
		IFB	<torect>
		mov	RECT.right[edi],eax
		ELSE
		mov	torect.right,eax
		ENDIF
		IFB	<fromrect>		;bottom
		mov	eax,RECT.bottom[esi]
		ELSE
		mov	eax,fromrect.bottom
		ENDIF
		IFB	<torect>
		mov	RECT.bottom[edi],eax
		ELSE
		mov	torect.bottom,eax
		ENDIF
		endm

INSETRECT	macro	r,sizx,sizy
		IFB	<r>
		mov	eax,sizx
		add	RECT.left[esi],eax
		sub	RECT.right[esi],eax
		ifnb	<sizy>
		mov	eax,sizy
		endif
		add	RECT.top[esi],eax
		sub	RECT.bottom[esi],eax
		ELSE
		mov	eax,sizx
		add	r.left,eax
		sub	r.right,eax
		ifnb	<sizy>
		mov	eax,sizy
		endif
		add	r.top,eax
		sub	r.bottom,eax
		ENDIF
		endm

